/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.pub.bug.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：缺陷管理
*
* createddate:  2021-10-08 16:05:30  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@ApiModel(description = "缺陷管理")
public class BugManagementPubAddDto implements Serializable
{
    /**
     * 错误信息描述<br>
     */
    @ApiModelProperty("错误信息描述")
    @Size(max = 20007, message="错误信息描述-errorMessage: 数据长度不能 > 20000" )
    @NotEmpty(message = "错误信息描述不能为空")
    private String errorMessage;
    /**
     * 注释<br>
     */
    @ApiModelProperty("注释")
    @Size(max = 20007, message="注释-message: 数据长度不能 > 20000" )
    private String message;
    /**
     * 项目id<br>
     */
    @ApiModelProperty("项目id")
    @Size(max = 32, message="项目id-proId: 数据长度不能 > 32" )
    private String proId;

    private String planName;

    private String planRound;

    private String tenantId;

    private String caseId;

    private String attachId;

    private String attachName;

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getProId() {
        return proId;
    }

    public void setProId(String proId) {
        this.proId = proId;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public String getPlanRound() {
        return planRound;
    }

    public void setPlanRound(String planRound) {
        this.planRound = planRound;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId;
    }

    public String getAttachId() {
        return attachId;
    }

    public void setAttachId(String attachId) {
        this.attachId = attachId;
    }

    public String getAttachName() {
        return attachName;
    }

    public void setAttachName(String attachName) {
        this.attachName = attachName;
    }
}